<?=$this->partial('blocks-contentheader');?>

<div class="widget">
    <div class="widget-header">
        <h3><i class="fa fa-magic"></i>
        <?php if ( $this->session->has('edit-schoolId') ): ?>
            修改中小學資訊{<?=$this->session->get('edit-schoolId');?>}
        <?php else: ?>
            新增中小學
        <?php endif; ?>
        </h3>
    </div>
    <div class="widget-content">

    <form id="schoolForm" class="form-horizontal form-validation" action="<?=$this->url->get("houserich/school/save");?>" method="post">
<?=$form->render('schoolId'); ?>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render("name");?>
</section>
</div>

<hr class="inner-separator">
<section class="form-group">
<?=$form->renderGroups(["addressCity",
                        "addressDistrict",
                        "addressRoad",
                        "addressLane",
                        "addressAlley",
                        "addressNo"],
                        "\\House\\Forms\\Decorators\\Addresses");?>
</section>

<!-- Google Map -->
<hr class="inner-separator">
<aside class="well well-sm form-inline">
    填寫「學校名稱」完成後點選
    <button id="mapqueryBtn" type="button" class="btn btn-sm btn-primary">更新地圖，取得經緯度</button>
</aside>
<aside id="gMap" class="col-ms-12 map-sm"></aside>
<section class="form-group">
<?=$form->renderGroups(["latitude", "longitude"],
                    "\\House\\Forms\\Decorators\\GridElement");?>
</section>


<hr class="inner-separator">

        <aside class="text-center">
            <?php if( $this->session->has('create-schoolId') ): ?>
            <a class="btn btn-primary btn-lg text-right" href="<?=$this->url->get('houserich/school/form/reset') ?>">重新建檔</a>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">欄位更新</button>
            <?php else: ?>
            <button id="ctrlFromBtn" type="button" class="btn btn-primary btn-lg text-right">學校建檔</button>
            <?php endif; ?>
        </aside>

    </form>

    </div>
</div>


<script type="text/javascript">
function _initMap() {
    gMapObj = new google.maps.Map(
      document.getElementById('gMap'),
      {
        zoom: 10,
        draggable: false
      }
    );

    /**
     * 從地圖點擊時抓取經緯度
     * */
    gMapObj.addListener("click", function(event){
        _map_add_marker(event.latLng, 1);
        _map_update_latlng(event.latLng);
    });

}

$(function(){
  geocoder = new google.maps.Geocoder();

  <?php if($this->session->has('create-schoolId') or $this->session->has('edit-schoolId')): ?>
    _depend_city_withdistrict( $(".depend-city"), 1 );

    _map_center_withlatlng($("#latitude").val(), $("#longitude").val(), 15);
  <?php else: ?>

    /**
     * 根據預設地址/地點取得經緯度做為中心點
     * */
    addr=$("#addressCity").val()+$("#addressDistrict").val();
    _map_center_withaddr(addr, 0);

  <?php endif; ?>

  $("#mapqueryBtn").click(function(){
      if( $("#name").val() == "" ){
          alert('請填寫站名後再次處理。')
          return ;
      }

      _map_center_withaddr( $("#name").val() , 15, function(GEO, address){
        if( GEO == 'ZERO_RESULTS' ){
          ADDRESS = _map_combine_address(["#addressCity","#addressDistrict","#addressRoad","#addressLane","#addressAlley","#addressNo"]);

          if( ADDRESS == '' ){
            alert('該學校無法透過Google Map取得座標，請利用詳細地址來處理，若地址亦顯示此一錯誤，請輸入鄰近地標後直接點選操作！');
          }else{
            _map_center_withaddr(ADDRESS, 16, function(GEO, address){
              _map_add_marker(GEO, 1);
              _map_update_latlng(GEO);
            });
          }
          return;
        }
        _map_add_marker(GEO, 1);
        _map_update_latlng(GEO);
      });
  });
});
</script>